## gst-plugins-base-subtitles0.10 0.10.25-0maemo7%2b0m5

=== debian/changelog ===
gst-plugins-base-subtitles0.10 (0.10.25-0maemo7+0m5) unstable; urgency=low

  * Created package gst-plugins-base-subtitles0.10 base on gst-plugins-base0.10

 -- Roman Moravcik <roman.moravcik@gmail.com>  Wed, 13 Jan 2010 23:30:02 +0100

gst-plugins-base0.10 (0.10.25-0maemo7+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Thu, 26 Nov 2009 16:24:41 +0200

gst-plugins-base0.10 (0.10.25-0maemo7) unstable; urgency=low

  * playbin2: Fix possible problems when re-using sinks (e.g. MAFW).
  * baseaudiosink: Fix initial clock calibration value.
  * baseaudiosink: Fix time adjustment when slaving, fixing (permanent)
    audio dropout when re-using sinks after changing clock (when pausing
    stream).
  * Fixes: NB#135792 - rtsp audio streams cannot be resumed after pausing

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 25 Nov 2009 19:49:18 +0200

gst-plugins-base0.10 (0.10.25-0maemo6) unstable; urgency=low

  * baseaudiosrc: Fix startup position in ringbuffer.
  * Fixes: NB#145101 AV Sync: Audio lags the Video beyond 30 seconds for
    recorded videos

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 09 Nov 2009 13:24:16 +0200

gst-plugins-base0.10 (0.10.25-0maemo5) unstable; urgency=low

  * Workaround more filetypes causing problems when ID3-tagged.
  * Fixes: NB#142716 - Playback of the provided wma songs fails, 100% cpu
    load in mafw-gst-renderer

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 28 Oct 2009 11:30:58 +0200

gst-plugins-base0.10 (0.10.25-0maemo4) unstable; urgency=low

  * basertpaudiopayload: Fix frame size. Fixes iLBC mode 30 call
    regression.
  * Fixes: NB#142953 - N900 to PC ilbc gtalk voip call is broken
  * Fixes: NB#135559 - Poor speech quality in Google Talk

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 23 Oct 2009 13:01:29 +0300

gst-plugins-base0.10 (0.10.25-0maemo3) unstable; urgency=low

  * baseaudiosrc: Fix timestamp/base_time comparision. This caused severe
    timing problems when an audio source was added to a running pipeline.

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 16 Oct 2009 15:00:58 +0300

gst-plugins-base0.10 (0.10.25-0maemo2) unstable; urgency=low

  * Work around decoding problem for ID3-tagged quicktime files.
  * Fixes: NB#134099 - M4A Files are not played as ringtone, although can
    be selected

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 13 Oct 2009 14:20:10 +0300

gst-plugins-base0.10 (0.10.25-0maemo1) unstable; urgency=low

  * New upstream version.
  * Fixes: NB#136325 - Bad VoIP audio experience on receiver side
  * Fixes: NB#134936 - Add a 'prerolling-render' property to avoid
    rendering while prerolling
  * Add libcairo2-dev build dependency.

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 06 Oct 2009 13:04:24 +0300

gst-plugins-base0.10 (0.10.24-0maemo1) unstable; urgency=low

  * New upstream version.
  * Always build with -Wno-error.

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 15 Sep 2009 17:24:17 +0300

gst-plugins-base0.10 (0.10.23-git246-0maemo6) unstable; urgency=low

  * queue2: Fix error handling corner case to not appear like a hang.

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 11 Sep 2009 15:43:21 +0300

gst-plugins-base0.10 (0.10.23-git246-0maemo5) unstable; urgency=low

  * tagreadbin: Fix possible crash on NULL caps.
  * Fixes: NB#135291 - tracker-extract is crashing for wav file

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 09 Sep 2009 11:43:55 +0300

gst-plugins-base0.10 (0.10.23-git246-0maemo4) unstable; urgency=low

  * Enable NEON optimization compilation flags in ARM builds.
  * Fixes: NB#124297 - Still image preview should be shown as soon as
    possible
  * Also compile debug builds with -O2.

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 18 Aug 2009 15:51:59 +0300

gst-plugins-base0.10 (0.10.23-git246-0maemo3) unstable; urgency=low

  * Use -O2 optimization flag in release mode. Partially fixes NB#129635.

 -- Harri Mahonen <ext-harri.mahonen@nokia.com>  Thu, 30 Jul 2009 10:53:24 +0300

gst-plugins-base0.10 (0.10.23-git246-0maemo2) unstable; urgency=low

  * ffmpegcolorspace: optimizations for colorspaceconversion
  * playbin: better errormessages
  * uridecodebin: handle uri-schemas incasesensitive
  * Fixes: NB#124297 - Still image preview should be shown as soon as
    possible

 -- Stefan Kost <stefan.kost@nokia.com>  Thu, 16 Jul 2009 17:29:59 +0300

gst-plugins-base0.10 (0.10.23-git246-0maemo1) unstable; urgency=low

  * Update to v0.10.23-246-g8937c89.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 06 Jul 2009 00:24:29 +0300

gst-plugins-base0.10 (0.10.23-0maemo5) unstable; urgency=low

  * audiosrc: Fix get_offset.
  * Fixes: NB#113906 - First timestamps not increasing with reused pulsesrc

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 24 Jun 2009 16:14:05 +0300

gst-plugins-base0.10 (0.10.23-0maemo4) unstable; urgency=low

  * playbin2: Fix pulsesink initial volume handling even more.
  * Fixes MAFW playback volume being 100% after pausing for one minute.

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 10 Jun 2009 18:16:56 +0300

gst-plugins-base0.10 (0.10.23-0maemo3) unstable; urgency=low

  * playbin2: Fix pulsesink initial volume/mute handling.
  * Fixes: NB#108833 - System volume & application volume settings not in
    sync.

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 25 May 2009 15:50:41 +0300

gst-plugins-base0.10 (0.10.23-0maemo2) unstable; urgency=low

  * Add new fast tagreading.
  * Fixes: NB#99656 - Tagreadbin can't be used to obtain content information

 -- Rene Stadler <rene.stadler@nokia.com>  Tue, 19 May 2009 15:43:09 +0300

gst-plugins-base0.10 (0.10.23-0maemo1) unstable; urgency=low

  * New upstream release.
  * Drop old playbin patch that added unused functionality.
  * Fixes: NB#116050 - crash in rtcp parsing in ssrcdemux

 -- Rene Stadler <rene.stadler@nokia.com>  Thu, 14 May 2009 18:07:00 +0300


