=== debian/control ===
Source: gst-plugins-base-subtitles0.10
Section: libs
Priority: optional
Maintainer: Roman Moravcik <roman.moravcik@gmail.com>>
XSBC-Original-Maintainer: Maemo Multimedia <multimedia@maemo.org>
Uploaders: David I. Lehn <dlehn@debian.org>, Loic Minier <lool@dooz.org>, Sebastien Bacher <seb128@debian.org>, Sebastian Dröge <slomo@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Stefan Kost <stefan.kost@nokia.com>
Build-Depends: libgstreamer0.10-dev (>= 0.10.25), libasound2-dev (>= 0.9.0) [arm armel i386], autotools-dev, cdbs (>= 0.4.20), debhelper (>= 5), pkg-config (>= 0.11.0), libxv-dev (>= 6.8.2.dfsg.1-3), libosso-gnomevfs2-dev (>= 2.16.3-1), liboil0.3-dev (>= 0.3.8), libcairo2-dev, libpango1.0-dev, libglib2.0-dev (>= 2.2.0), libxml2-dev (>= 2.4.23), zlib1g-dev (>= 1:1.1.4), gtk-doc-tools, gstreamer-tools (>= 0.10.14)
Standards-Version: 3.8.0

Package: gstreamer0.10-plugins-base-subtitles
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extra GStreamer plugins from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins from the "base" set, an
 essential exemplary set of elements.

Package: gstreamer0.10-plugins-base-subtitles-dbg
Architecture: any
Section: libdevel
Priority: extra
Depends: gstreamer0.10-plugins-base-subtitles (= ${binary:Version})
Description: Extra GStreamer plugins from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.
