## gst-plugins-base-subtitles0.10 0.10.25-0maemo14%2b0m5-1

=== debian/changelog ===
gst-plugins-base-subtitles0.10 (0.10.25-0maemo14+0m5-1) unstable; urgency=low

  * Package updated to version gst-plugins-base0.10-0.10.25-0maemo14+0m5.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Mon, 12 Apr 2010 20:56:31 +0200

gst-plugins-base0.10 (0.10.25-0maemo14+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Huaming Wang <huaming.wang@nokia.com>  Tue, 16 Feb 2010 16:22:14 +0200

gst-plugins-base0.10 (0.10.25-0maemo14) unstable; urgency=low

  * uridecodebin: Fix leaking of queue and typefinder elements.
  * playbin2: Fix leaking of selector request pads.
  * Helps NB#139441 - Memory leak in mafw-dbus-wrapper with Mp3 playback
    over UPnP

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 15 Feb 2010 20:03:01 +0200

gst-plugins-base0.10 (0.10.25-0maemo13) unstable; urgency=low

  * basertppayload: Reject empty caps.

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 22 Jan 2010 18:28:49 +0200

gst-plugins-base0.10 (0.10.25-0maemo12) unstable; urgency=low

  * basertppayload: Change ptime to be in nanoseconds instead of
    milliseconds and change data type to unsigned integer.

 -- Rene Stadler <rene.stadler@nokia.com>  Thu, 21 Jan 2010 15:17:59 +0200

gst-plugins-base0.10 (0.10.25-0maemo11) unstable; urgency=low

  * tagreadbin: Fix possible deadlock on shutdown.
  * Fixes: NB#153179 - deadlock in tagreadbin

 -- Rene Stadler <rene.stadler@nokia.com>  Fri, 15 Jan 2010 15:26:25 +0200

gst-plugins-base0.10 (0.10.25-0maemo10) unstable; urgency=low

  * basertpaudiopayload: Respecet ptime if it is given
  * rtpbasepayload: Store ptime from caps
  * basertppayload: Accept maxptime from caps
  * Fixes: NB#152494 - Import ptime/maxptime patches in gst-p-base/good

 -- Harri Mähönen <ext-harri.mahonen@nokia.com>  Fri, 08 Jan 2010 13:02:49 +0200

gst-plugins-base0.10 (0.10.25-0maemo9) unstable; urgency=low

  * xvimagesink: Add disable-colorkey property.
  * Fixes: NB#128210 - Xv video sink should be able to disable color
    keying

 -- Rene Stadler <rene.stadler@nokia.com>  Mon, 21 Dec 2009 20:19:57 +0200

gst-plugins-base0.10 (0.10.25-0maemo8) unstable; urgency=low

  * playsink: fix playback of videos with subtitles when subtitles are
    disabled
  * Fixes: NB#149693 - m4a podcast with subtitles fails to play with
    playbin2 flags=99

 -- Rene Stadler <rene.stadler@nokia.com>  Wed, 09 Dec 2009 15:48:30 +0200
