## gst-plugins-base-subtitles0.10 0.10.25-0maemo14%2b0m5-3

=== debian/changelog ===
gst-plugins-base-subtitles0.10 (0.10.25-0maemo14+0m5-3) unstable; urgency=low

  * Added dependency to libgstreamer-plugins-base0.10-0 to make autobuild happy.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Tue, 25 May 2010 16:52:49 +0200

gst-plugins-base-subtitles0.10 (0.10.25-0maemo14+0m5-2) unstable; urgency=low

  * Decreased dependency version of libgstreamer0.10-dev from (>= 0.10.25)
    to (>= 0.10.20-0maemo3). I hopy this will fix autobuild missing
    dependency issue.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Tue, 25 May 2010 16:32:56 +0200
