## gst-plugins-base-subtitles0.10 0.10.25-0maemo14%2b0m5-4

=== debian/changelog ===
gst-plugins-base-subtitles0.10 (0.10.25-0maemo14+0m5-4) unstable; urgency=low

  * Removed dependency to libgstreamer-plugins-base0.10-0.
  * Added build-dependency to libgstreamer-plugins-base0.10-dev.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Tue, 25 May 2010 17:44:17 +0200
