=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Roman Moravcik <roman.moravcik@gmail.com>
 XSBC-Original-Maintainer: Maemo Multimedia <multimedia@maemo.org>
 Uploaders: David I. Lehn <dlehn@debian.org>, Loic Minier <lool@dooz.org>, Sebastien Bacher <seb128@debian.org>, Sebastian Dröge <slomo@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Stefan Kost <stefan.kost@nokia.com>
-Build-Depends: libgstreamer0.10-dev (>= 0.10.25), libasound2-dev (>= 0.9.0) [arm armel i386], autotools-dev, cdbs (>= 0.4.20), debhelper (>= 5), pkg-config (>= 0.11.0), libxv-dev (>= 6.8.2.dfsg.1-3), libosso-gnomevfs2-dev (>= 2.16.3-1), liboil0.3-dev (>= 0.3.8), libcairo2-dev, libpango1.0-dev, libglib2.0-dev (>= 2.2.0), libxml2-dev (>= 2.4.23), zlib1g-dev (>= 1:1.1.4), gtk-doc-tools, gstreamer-tools (>= 0.10.14)
+Build-Depends: libgstreamer0.10-dev (>= 0.10.20-0maemo3), libgstreamer-plugins-base0.10-dev (>= 0.10.20-0maemo5), libasound2-dev (>= 0.9.0) [arm armel i386], autotools-dev, cdbs (>= 0.4.20), debhelper (>= 5), pkg-config (>= 0.11.0), libxv-dev (>= 6.8.2.dfsg.1-3), libosso-gnomevfs2-dev (>= 2.16.3-1), liboil0.3-dev (>= 0.3.8), libcairo2-dev, libpango1.0-dev, libglib2.0-dev (>= 2.2.0), libxml2-dev (>= 2.4.23), zlib1g-dev (>= 1:1.1.4), gtk-doc-tools, gstreamer-tools (>= 0.10.14)
 Standards-Version: 3.8.0
 
 Package: gstreamer0.10-plugins-base-subtitles
